

function setData(mainTitle, subTitle, inputs, attachments, time)
{
    var mianTitleElems = document.getElementsByName('mainTitle');
    if(mianTitleElems){
        for( m = 0; m < mianTitleElems.length; m++ )
        {
            var mainTitleElem = mianTitleElems[m];
            mainTitleElem.innerHTML = mainTitle;
        }
    }

    var subTitleElems = document.getElementsByName('subTitle');
    if(subTitleElems){
       for( n = 0; n < subTitleElems.length; n++ )
       {
                var subTitleElem = subTitleElems[n];
                subTitleElem.innerHTML = subTitle;
       }
    }
    var timeElems = document.getElementsByName('time');
    if(timeElems){
       for( x = 0; x < timeElems.length; x++ )
       {
           var timeElem = timeElems[x];
           timeElem.innerHTML = time;
       }
    }
    console.log("init value start");
    var keyValues = inputs.split(";");
    for( var i = 0; i < keyValues.length; i++ )
    {
        var keyValue = keyValues[i];
        var components = keyValue.split("|");
        var key = components[0];
        var value = components[1];
        if(!((undefined !== key && key.length > 0) || (undefined !== value && value.length>0))){
            continue;
        }
//        if( !(key.length>0 && value.length>0) )
//        {
//            continue;
//        }
        if( key == "bz31_opt_43" )
        {
             var thirdsDiv = document.getElementById("thirds");
             if( thirdsDiv )
             {
                 var text = value.replace(/@n@/g,"\n<p class=\"sr\"/>\n<p class=\"sr\"/>");
                        thirdsDiv.innerHTML = "<h4>" + text + "</h4>";
             }
             continue;
        }

        var elem = document.getElementById(key);
        if( !elem )
        {
            continue;
        }
        var type = elem.getAttribute("type");
        if( type == "hidden" )
        {
            elem.value = value;
            var yearElement = document.getElementById(key+".year");
            var monthElement = document.getElementById(key+".month");
            var dayElement = document.getElementById(key+".day");
            var components = value.split('-');
            yearElement.innerHTML = components[0];
            if(undefined !== components[1]){
                 monthElement.innerHTML = components[1];
            }
            if(undefined !== components[2]){
                dayElement.innerHTML = components[2];
            }
        }
        else
        {
            elem.innerHTML = value;
        }
    }
    console.log("init value end");
    var contentDiv = document.getElementById("content");
    var attachs = attachments.split(";");
    var indexTagElem = document.getElementById("indexTag");
    if( indexTagElem )
    {
        var index = indexTagElem.getAttribute("value");
        var pageNum =  parseInt(index,10);
        for( j = 0; j < attachs.length; j++ )
        {
            var attach = attachs[j];
            var components = attach.split("|");
            var name = components[0];
            var srcsStr = components[1];
            if(srcsStr){
            var srcs = srcsStr.split(",");
                for( k = 0; k < srcs.length; k++ )
                {
                    var anchorElem = document.createElement("a");
                    anchorElem.className = "pageAnchor";
                    anchorElem.name = pageNum;
                    contentDiv.appendChild(anchorElem);

                    var pageDiv = document.createElement("div");
                    pageDiv.className = "page";
                    var src = srcs[k];
                    var html = "<div class='page-h'>";
                    html += "<br>";
                    html += "<h4>" + mainTitle + "</h4>";
                    html += "<h3>" + subTitle + "</h3>";
                    html += "<em class='time'>" + time + "</em>";
                    html += "</div>";
                    html += "<p class='sr'/>";
                    html += "<h3 class='title'>" + name + "</h3>";
                    html += "<p class='sr'/>";
                    html += "<div class='attachmentDiv'>";
                    html += "<img class='attachment-image' src='" + src + "' style='max-height: 330px;'/>";
                    html += "<img class='mark' src='contract_preview_watermark.png'/>";
                    html += "</div>";
                    html += "<div class='page-f'>" + pageNum + "</div>";
                    pageDiv.innerHTML = html;
                    contentDiv.appendChild(pageDiv);
                    pageNum++;
                }
            }
        }
    }
    var request = GetRequest();
    var wh = request["wh"];
    var host = request["host"];
    setHost(host, wh);
}

function pageAnchors()
{
    var result = "";
    for( i = 0; i< document.anchors.length; i++ )
    {
        var anchor = document.anchors[i];
        if( anchor.className == "pageAnchor" )
        {
            if(result.length == 0){
                result = result + anchor.name
            }else{
                result = result + "," + anchor.name;
            }
        }
    }
    return result;
}


function menuAnchors()
{
    var result = "";
    for( i = 0; i< document.anchors.length; i++ )
    {
        var anchor = document.anchors[i];
        if( anchor.className == "anchor" )
        {
            result = result + anchor.name +"," ;
        }
    }
    return result;
}

function setHost(host, wh)
{
    if( host )
    {
        var imgs = document.getElementsByName("serverImg");
        for( i = 0; i < imgs.length; i++ )
        {
            var img = imgs[i];
            img.src = host +  img.alt;
            if( wh == "1080x1920" )
            {
                img.style.maxWidth = "350px";
            }
        }
    }
    
    if( wh )
    {
        handleWH(wh);
    }
}


function handleWH(wh)
{
    var ps = document.getElementsByTagName("p");
    for( i = 0; i < ps.length; i++ )
    {
        var p = ps[i];
        var marginTop = "4px";
        var marginBottom = "4px";
        var paddingTop = "0px";
        var paddingBottom = "0px";
        var fontSize = "9px";
        var lineHeight = "180%";
        if(wh == "720x1280"){
            marginTop = "4px";
            marginBottom = "4px";
            paddingTop = "0px";
            paddingBottom = "0px";
            fontSize = "9px";
            lineHeight = "176.5%";
        }else if(wh == "1080x1920"){
            marginTop = "4px";
            marginBottom = "4px";
            paddingTop = "0px";
            paddingBottom = "0px";
            fontSize = "9px";
            lineHeight = "177%";
        }else if(wh == "1440x2560"){
            marginTop = "4px";
            marginBottom = "4px";
            paddingTop = "0px";
            paddingBottom = "0px";
            fontSize = "9px";
            lineHeight = "177%";
        }
        p.style.marginTop = marginTop;
        p.style.marginBottom = marginBottom;
        p.style.paddingTop = paddingTop;
        p.style.paddingBottom = paddingBottom;
        p.style.fontSize = fontSize;
        p.style.lineHeight= lineHeight;
    }
    var headers = document.querySelectorAll(".page-h");
    var pageBottomHeight = 0;
    for( j = 0; j < headers.length; j++ )
    {
        header = headers[j];
        var height = "55px";
        pageBottomHeight = 55;
        if(wh == "720x1280"){
            height = "50px";
        }else if(wh == "1080x1920"){
            height = "55px";
        }else if(wh == "1440x2560"){
            height = "60px";
        }
         header.style.height = height;
    }
    var headerTops = document.querySelectorAll(".page-h-top");
    for( k = 0; k < headerTops.length; k++ )
    {
        headerTop = headerTops[k];
        var height = "8px";
        if(wh == "720x1280"){
             height = "6px";
        }else if(wh == "1080x1920"){
             height = "8px";
        }else if(wh == "1440x2560"){
             height = "20px";
        }
        headerTop.style.height = height;
    }
    var pages = document.querySelectorAll(".page");
    for( m = 0; m < pages.length; m++ )
    {
        page = pages[m];
        var padding = "0 17px";
        var height = "524px";
        if(wh.indexOf("720") == 0){
            padding = "0 17px";
        }else if(wh.indexOf("1080") == 0){
            padding = "0 17px";
            height = "600px";
        }else if(wh.indexOf("1440") == 0){
            padding = "0 25px";
        }
        page.style.padding = padding;
        page.style.height = height;
    }

    var times = document.getElementsByName("time");
    if( times )
    {
        for( n = 0; n < times.length; n++ )
        {
            var time = times[n];
            var top = "27px";
            if(wh.indexOf("720") == 0){

            }else if(wh.indexOf("1080") == 0){

            }else if(wh.indexOf("1440") == 0){

            }
            time.style.top = top;
        }
    }

    var subTitles = document.getElementsByName("subTitle");
    if( subTitles )
    {
        for( n = 0; n < subTitles.length; n++ )
        {
            var subTitle = subTitles[n];

            var width = "220px";
            if(wh.indexOf("720") == 0){

            }else if(wh.indexOf("1080") == 0){

            }else if(wh.indexOf("1440") == 0){
                width = "230px";
            }
            subTitle.style.width = width;
        }
    }
    var hs1 = document.getElementsByName("h1");
    console.log("hs1" + hs1);
    if( hs1 ){
        for( o = 0; o < hs1.length; o++ )
        {
           var h1 = hs1[o];
           var fontSize = "20px";
           if(wh.indexOf("720") == 0){

           }else if(wh.indexOf("1080") == 0){

           }else if(wh.indexOf("1440") == 0){

           }
           console.log("h1" + h1);
           console.log("h1.style.fontSize" + h1.style.fontSize);
           h1.style.fontSize = fontSize;
        }
    }
    var hs3 = document.querySelectorAll("h3");
    console.log("hs3" + hs3);
    if( hs3 ){
        for( p = 0; p < hs3.length; p++ )
        {
           var h3 = hs3[p];
           var fontSize = "10px";
           if(wh.indexOf("720") == 0){
               fontSize = "10px";
           }else if(wh.indexOf("1080") == 0){
               fontSize = "10px";
           }else if(wh.indexOf("1440") == 0){
               fontSize = "10px";
           }
           h3.style.fontSize = fontSize;
        }
    }
    var hs4 = document.querySelectorAll("h4");
    console.log("hs4" + hs4);
    if( hs4 ){
        for( q = 0; q < hs4.length; q++ )
        {
           var h4 = hs4[q];
           var fontSize = "9px";
           if(wh.indexOf("720") == 0){
               fontSize = "9px";
           }else if(wh.indexOf("1080") == 0){
               fontSize = "9px";
           }else if(wh.indexOf("1440") == 0){
               fontSize = "9px";
           }
           h4.style.fontSize = fontSize;
        }
    }
    console.log("handleWHend");
}

function GetRequest() {
    var url = location.search; //获取url中"?"符后的字串
    var theRequest = new Object();
    if (url.indexOf("?") != -1) {
        var str = url.substr(1);
        strs = str.split("&");
        for(var i = 0; i < strs.length; i ++) {
            theRequest[strs[i].split("=")[0]] = unescape(strs[i].split("=")[1]);
        }
    }
    return theRequest;
}

function setPageIndex(index){
    window.location.href = '#' + index;
}

function getAnchorTopPosition(){
    var result = [];
    for( i = 0; i< document.anchors.length; i++ )
    {
         var anchor = document.anchors[i];
         if( anchor.className == "anchor")
         {
             var offset = getElementPosition(anchor);
             result.push(offset);
         }
    }
    return result.toString();
}

function getElementPosition (e) {
    var y = 0;
    while (e) {
        y = y + e.offsetTop;
        e = e.offsetParent;
    }
    return y;
}

function gotoAnchor(anchorName)
{
    window.location.href = "#" + anchorName;
}

function getWebViewScrollOffset(){
    return document.body.scrollTop;
}

function getWebViewVisibleHeight(){
    return window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight;
}

