--[[业务借款N 产品业务逻辑测试]]

local function updateRelatedItem(workflowDetailInfo,listSrcData,selectedFd,relatedObj)
    if workflowDetailInfo then
        if (selectedFd and relatedObj) then
            local ledgername = jsonObject.optString("ledgername","");
            local productId = jsonObject.optString("productId","");
            selectedFd.fieldValue = productId;
            selectedFd.fieldButtonValue = ledgername;
            local  productCode = getItemByFieldName(listSrcData,'productCode');
            productCode.fieldButtonValue = jsonObject.optString("ledgermark", "");
            productCode.fieldValue = jsonObject.optString("ledgermark", "");
        end
    end
end

local function getItemByFieldName(listSrcData,fieldName)
    local retValue = nil;
    if listSrcData and isNotEmpty(fieldName) then
        for i = 1, listSrcData.size() do
            local fd = listSrcData.get(i);
            if fieldName == fd.fieldName then
                retValue = fd;
                break
            end
        end
    end
    return retValue;
end

local function isNotEmpty(str)
    if str and str.length > 0 then
       return true;
    end
    return false;
end